#
# spec file for package pantheon-terminal
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           pantheon-terminal
Version:        0.4.2
Release:        1.1
Summary:        Lightweight and modern Terminal for Elementary OS
License:        LGPL-3.0+
Group:          System/X11/Terminals
Url:            https://launchpad.net/pantheon-terminal
Source:         https://launchpad.net/pantheon-terminal/0.4.x/%{version}/+download/%{name}-%{version}.tar.xz
BuildRequires:  cmake >= 2.6
BuildRequires:  fdupes
BuildRequires:  hicolor-icon-theme
BuildRequires:  intltool
BuildRequires:  pkgconfig
BuildRequires:  update-desktop-files
BuildRequires:  vala >= 0.28.0
BuildRequires:  pkgconfig(gdk-3.0)
BuildRequires:  pkgconfig(granite) >= 0.3.0
BuildRequires:  pkgconfig(gthread-2.0)
BuildRequires:  pkgconfig(gtk+-3.0) >= 3.9.10
BuildRequires:  pkgconfig(libnotify)
BuildRequires:  pkgconfig(vte-2.91)
Recommends:     %{name}-lang
%glib2_gsettings_schema_requires

%description
A super lightweight, beautiful, and simple terminal. It is designed to be
setup with sane defaults and little to no configuration. It is just a
terminal, nothing more, nothing less.

Designed for Elementary OS.

%lang_package

%prep
%setup -q

sed -e '/CMAKE_C_FLAGS/s/\"\(.*\)\"/\"\$\{CMAKE_C_FLAGS\}\ \1\"/' \
    -i CMakeLists.txt

%build
%cmake
make %{?_smp_mflags} V=1

%install
%cmake_install

%suse_update_desktop_file org.pantheon.terminal
%find_lang %{name} %{?no_lang_C}
%fdupes %{buildroot}%{_datadir}/locale/

%post
%desktop_database_post
%icon_theme_cache_post
%glib2_gsettings_schema_post

%postun
%desktop_database_postun
%icon_theme_cache_postun
%glib2_gsettings_schema_postun

%files
%defattr(-,root,root)
%doc AUTHORS COPYING
%{_bindir}/%{name}
%{_datadir}/%{name}/
%{_datadir}/appdata/pantheon-terminal.appdata.xml
%{_datadir}/applications/open-pantheon-terminal-here.desktop
%{_datadir}/applications/org.pantheon.terminal.desktop
%{_datadir}/glib-2.0/schemas/org.pantheon.terminal.gschema.xml
%dir %{_datadir}/appdata

%files lang -f %{name}.lang
%defattr(-,root,root)

%changelog
* Mon May 15 2017 avvissu@yandex.by
- Update to 0.4.2:
  * Allow tab to close after typing 'exit' at the commandline.
  * Nullify 'program' variable after program exits so next
    "child-exited" signal from terminal closes the tab.
  * Fix Project Licensing (#90)
  * Allow button release event to propagate after click opens link
  * Translated using Weblate (Turkish)
* Sun May  7 2017 avvissu@yandex.by
- Update to 0.4.1:
  * Replace deprecated `Vte.Terminal.match_check()` with
    `Vte.Terminal.match_check_event()` (#85)
  * Update URLs (#84)
  * Do not close the terminal window when a child process exits
    normally. (#82)
  * The output of process may be studied after the process ends.
  * Add Travis CI (#83)
  * Update README; remove old files (#81)
  * Fix links not being selectable for copying.
  * Launchpad automatic translations update.
* Tue Mar 21 2017 avvissu@yandex.by
- Update to 0.4.0.4:
  * Remove executable bit from files
  * Only apply transparency CSS to the main Terminal window, not
    dialogs
  * css: set background element to transparent
- Change in 0.4.0.3:
  * Remove unecessary CMake flag
  * Launchpad automatic translations update.
* Tue Nov  1 2016 avvissu@yandex.by
- Update to 0.4.0.2
* Sat Sep 10 2016 mailaender@opensuse.org
- Update to version 0.4
- Drop pantheon-terminal-fix-cflags.patch
* Mon Jul 11 2016 sor.alexei@meowr.ru
- Add pantheon-terminal-fix-cflags.patch: fix CFLAGS.
* Tue Dec 15 2015 and.november@opensuse.org
- update to version 0.3.2
* Sat May 16 2015 mailaender@opensuse.org
- update to 0.3.1.1
* Sun Jun 15 2014 mailaender@opensuse.org
- update to version 0.3.0.1
* Sun May  4 2014 mailaender@opensuse.org
- initial packaging
